Page MenuHomeMiraheze

/host/v1 to /api/rest_v1 rewrite rule doesn't seem to work
Closed, ResolvedPublic

Description

I'm trying to setup citoid in wiki.climatechange.ai. As described on the citoid page's configuration section, I've been able to setup templates and the maps fields does appear in API responses.

However, when I try to create a citation using the VisualEditor (this one is to wikipedia.org), I get the following editor in my developer console,

GET https://wiki.climatechange.ai/wiki.climatechange.ai/v1/data/citation/mediawiki/https%3A%2F%2Fwikipedia.org?action=query&format=json 404

Any clue what might be going on?

Event Timeline

Krisrs1128 created this task.Aug 4 2020, 15:16

Apparently, this request does return,

https://wiki.climatechange.ai/api/rest_v1/data/citation/mediawiki/9780143121893?action=query&format=json,

[{"key":"NCGZP4PQ","version":0,"itemType":"book","tags":[],"abstractNote":"An engaging collection with opposing viewpoints, including essays and excerpts by scientists, politicians, novelists, religious leaders and others","title":"The global warming reader: a century of writing about climate change","numPages":"421","extra":"OCLC: 815895422","place":"New York, NY","publisher":"Penguin Books","date":"2012","ISBN":["978-0-14-312189-3"],"libraryCatalog":"Gemeinsamer Bibliotheksverbund ISBN","shortTitle":"The global warming reader","accessDate":"2020-08-04","editor":[["Bill","McKibben"]],"oclc":"815895422","source":["Zotero","Gemeinsamer Bibliotheksverbund ISBN"],"url":"https://www.worldcat.org/title/mediawiki/oclc/815895422"}]
RhinosF1 added a comment.Aug 4 2020, 21:57

Hmm, that looks wrong. I'll get someone to look at this tommorow.

RhinosF1 renamed this task from Help with Citoid Setup to /host/v1 to /api/rest_v1 rewrite rule doesn't seem to work.Aug 4 2020, 22:00
RhinosF1 triaged this task as Normal priority.

Hi all, I just wanted to check-in about whether there are any updates about this, or what the expected timeline would look like?

Hi all, I just wanted to check-in about whether there are any updates about this, or what the expected timeline would look like?

There is no further update to tell you and unfortunately no timeline. No one has got round to looking at this yet.

Paladox added a comment.Aug 13 2020, 19:08

I ask this because I tried using meta.miraheze.org and it does not redirect (hence why it works). Same for https://allthetropes.org/wiki/Main_Page.

Thanks for looking into this @Paladox. I checked with our webmaster, and as far as we understand, we don't seem to have setup any redirects ourselves.

Paladox added a comment.Aug 14 2020, 02:32

We don't redirect like that ourside (so it's external).

Paladox added a comment.Aug 14 2020, 02:41

I think I may have found the issue.

Paladox closed this task as Resolved.Aug 14 2020, 02:54
Paladox claimed this task.

Thank you! That error no longer appears.